Package javax.mail.event

## Interface StoreListener

All Superinterfaces:
  `EventListener`

    public interface StoreListener
    extends EventListener

This is the Listener interface for Store Notifications.

Author:
  John Mani

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `notification​(StoreEvent e)` Invoked when the Store generates a notification event.

### Method Detail

#### notification

    void notification​(StoreEvent e)

Invoked when the Store generates a notification event.

Parameters:
  `e` - the StoreEvent
See Also:
  `StoreEvent.ALERT`, `StoreEvent.NOTICE`